Egl-gbm conflict on Fedora 39 when installing 550.54 via dnf

dnf throws this error:

Error: Transaction test error:
  file /usr/lib64/libnvidia-egl-gbm.so.1 from install of nvidia-driver-libs-3:550.54.14-1.fc39.x86_64 conflicts with file from package egl-gbm-1:1.1.0-4.20230420gite5eee60.fc39.x86_64

Why don’t you try using rpmfusion repo instead of mixing nvidia cuda and negativo repo.

https://rpmfusion.org/Howto/CUDA?highlight=(\bCategoryHowto\b)#NVIDIA_official_repositories

You egl-gbm package is older than the fedora provided package.

https://src.fedoraproject.org/rpms/egl-gbm/c/e76ce7151eaf5dd46e23aa4fee2163b843938d13?branch=rawhide

Thanks! That solved the egl-gbm conflict.

I guess I’ll have to wait to get the 550.54 driver until it’s rolled out to the recommended repos, but that should happen in days or weeks.

I will move the rpmfusion packages to stable on Friday or Saturday.

https://rpmfusion.ip-connect.info/nonfree/fedora/updates/testing/39/x86_64/repoview/index.html

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.